    //demo.js
    //used with demo.html
    //Andy Harris, for JavaScript and AJAX for Dummies

    //global variable used for counting
    var i = 0;

    function doCount(){
      //add one to i
      i++;

      //pull current text from output div
      var currentText = $("#output").html();

      //add new count to current text
      currentText += "Nb de clics : " + i + "<br />";

      //re-write current text to div
      $("#output").html(currentText);
    } // end doCount
    
    function toggleVis(){
      //make the output div appear or disappear
      $("#output").toggle();
    } // end toggleVis
    
    function toggleStyle(){
      //toggle whether the funky class is applied to output
      $("#output").toggleClass("funky");
    } // end toggleStyle
    
    function move(){
      //move the output div to (10, 10)
      $("#output").animate({
        left: "10px",
        top: "10px"
      });
      //perform a series of size and width animations.
      $("#output").animate({height: "1em"});
      $("#output").animate({width: "500px"});
      $("#output").animate({width: "100px"});
      $("#output").animate({width: "300px"});
      $("#output").animate({
        width: "200px",
        height: "200px"
      });
      //move slowly to position (200, 200)
      $("#output").animate(
      {
        left: "200px",
        top: "200px"
      }, 3000);

    } // end move
    
    function showCode(){
      //use an AJAX call to preview the javascript code
      $("#code").load("demo.js");
    } // end showCode
    
    $("document").ready(function(){
      //when the document is fully loaded...

      //set the code section to be a draggable element
      $("#code").draggable();
    });
